﻿Imports System.Net
Imports System.IO

Public Class Form1

    Private Sub btnVerificaArquivoRemoto_Click(sender As Object, e As EventArgs) Handles btnVerificaArquivoRemoto.Click

        If chkWebClient.Checked Then
            If ExisteArquivoRemotoWebCLient(txtURL.Text) Then
                MessageBox.Show(" O arquivo indicado na URL Existe... (via WebClient) ")
            Else
                MessageBox.Show(" Não Existe o arquivo indicado na URL... (via WebClient) ")
            End If
        Else
            If ExisteArquivoRemotoHttpWebRequest(txtURL.Text) Then
                MessageBox.Show(" O arquivo indicado na URL Existe... ")
            Else
                MessageBox.Show(" Não Existe o arquivo indicado na URL...")
            End If
        End If
    End Sub

    Private Function ExisteArquivoRemotoHttpWebRequest(url As String) As Boolean
        Try
            'Cria um HttpWebRequest
            Dim request As HttpWebRequest = TryCast(WebRequest.Create(url), HttpWebRequest)
            'Define o metodo Request HEAD, podemos usar GEt tambem
            request.Method = "HEAD"
            'Obtendo a resposta com  HttpWebResponse.
            Dim response As HttpWebResponse = TryCast(request.GetResponse(), HttpWebResponse)
            'Retorna True se o status for igula 200
            Return (response.StatusCode = HttpStatusCode.OK)
        Catch
            'qualquer exeção irá retornar false
            Return False
        End Try
    End Function

    Private Function ExisteArquivoRemotoWebCLient(url As String) As Boolean
        Dim resultado As Boolean = False
        Using clienteWeb As New WebClient()
            Try
                Dim stream As Stream = clienteWeb.OpenRead(url)
                If stream IsNot Nothing Then
                    resultado = True
                Else
                    resultado = False
                End If
            Catch
                'qualquer exeção irá retornar false
                resultado = False
            End Try
        End Using
        Return resultado
    End Function

End Class
